Forum Discussion

simonaferrara's avatar
simonaferrara
Frequent Contributor
10 months ago
Solved

Download Appium compatible version for Mobile test

Hi all,
for Mobile tests, I've seen that Test Complete is compatible only with a previous version of Appium (not the latest one) but I've difficulties to find the download link for this specific version (the appium site download only the latest version). Can you please help me by providing the link where I can download the right version compatible with Test Complete? Thanks!

6 Replies

  • simonaferrara's avatar
    simonaferrara
    Frequent Contributor

    rraghvani unfortunately not, by following the linked documentation, that shows the following command to install appium "npm install -g appium", it install the latest version (the 2 one, and not the older one currently supported by SmartBear).

  • simonaferrara's avatar
    simonaferrara
    Frequent Contributor

    Update: I've found a way to install appium 1.22.3 version, but now I'm blocked because an uiautomator2 compliant with this version cannot be found, and I fall on several errors.

    In general, the documentation should be updated very clearly of the versions to be installed and the right procedure. The "appium driver install uiautomator2" command cannot be executed on appium version 1.22.3 ! 

    Anyone has been able to complete the installation of appium and the needed prerequisites to connect it to Test Complete and can please help me?

     

    Thanks!

    Simona